const express = require('express');
const bodyParser = require('body-parser');
const cookieParser = require('cookie-parser');
const router = require('./router.js');
const connection = require('./db');
require("dotenv").config();


const app = express();

app.use(cookieParser());
app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());

// const stripeRoutes = require('./stripe_payment/routes/stripeRoute');
const path = require('path');
// app.set('views', path.join(__dirname, 'stripe_payment', 'view'));
// app.set('view engine', 'ejs');
// app.use('/app/webservice/stripe_payment', stripeRoutes);
app.use("/2024/cinema/webservice", router);


const port =  8080;
app.listen(port, () => {
    console.log(`Server is running at http://localhost:${port}`);
});


